Bug 1411066 - Review Request: python-shortuuid - A generator library for concise, unambiguous and URL-safe UUIDs
Summary: Review Request: python-shortuuid - A generator library for concise, unambiguo...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2017-01-08 05:05 UTC by Peter Robinson
Modified: 2017-01-13 01:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 01:42:28 UTC
Type: Bug
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2017-01-08 05:05:07 UTC
SPEC: https://pbrobinson.fedorapeople.org/python-shortuuid.spec
SRPM: https://pbrobinson.fedorapeople.org/python-shortuuid-0.4.3-1.fc25.src.rpm

Description:
A library that generates short, pretty, unambiguous unique IDs by using an 
extensive, case-sensitive alphabet and omitting similar-looking letters and 
numbers.

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=17206677

Comment 1 Athos Ribeiro 2017-01-12 02:06:10 UTC
Hi Peter,

Your package looks good: approved.

When installing the python2-* subpackage I realized that /usr/bin/python2.7 was not installed. At first I thought there was a problem with the package, but it does require python(abi) = 2.7.

There is a new python2 package in rawhide and its python2-libs subpackage is providing python(abi) for some reason, which makes mock happy enough not installing /usr/bin/python2.7

It would be nice to be more verbose on python3 packages %files section to avoid owning unwanted files. Some people forget about that and end up owning
'/usr/lib/python3.MINOR/site-packages/__pycache__'
which right now is the case of 42 packages for python3.6.
According to the guidelines, this directory should belong to system-python-libs.

Finally, rpmlint complains about python3.6 magic numbers. This is a known boug reported here: https://bugzilla.redhat.com/show_bug.cgi?id=1409376

Here is fedora-review output:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-shortuuid-0.4.3-1.fc26.noarch.rpm
          python3-shortuuid-0.4.3-1.fc26.noarch.rpm
          python-shortuuid-0.4.3-1.fc26.src.rpm
python2-shortuuid.noarch: W: no-documentation
python3-shortuuid.noarch: W: no-documentation
python3-shortuuid.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/shortuuid/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-shortuuid.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/shortuuid/__pycache__/main.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-shortuuid.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/shortuuid/__pycache__/tests.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-shortuuid.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/shortuuid/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-shortuuid.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/shortuuid/__pycache__/tests.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-shortuuid.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/shortuuid/__pycache__/main.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
3 packages and 0 specfiles checked; 6 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-shortuuid.noarch: W: no-documentation
python2-shortuuid.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python3-shortuuid (rpmlib, GLIBC filtered):
    python(abi)

python2-shortuuid (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-shortuuid:
    python3-shortuuid
    python3.6dist(shortuuid)
    python3dist(shortuuid)

python2-shortuuid:
    python-shortuuid
    python2-shortuuid
    python2.7dist(shortuuid)
    python2dist(shortuuid)



Source checksums
----------------
https://pypi.python.org/packages/e9/41/d867be1470af87dd8af1b3462e5eae44f78ffd33cec54630d40ca6b2d0bd/shortuuid-0.4.3.tar.gz :
  CHECKSUM(SHA256) this package     : 4606dbb19124d98109c00e2cafae2df8117aec02115623e18fb2abe3f766d293
  CHECKSUM(SHA256) upstream package : 4606dbb19124d98109c00e2cafae2df8117aec02115623e18fb2abe3f766d293

Comment 2 Peter Robinson 2017-01-12 07:52:31 UTC
Thanks!

> It would be nice to be more verbose on python3 packages %files section to

I'll tighten that up before initial commit.

Comment 3 Gwyn Ciesla 2017-01-12 14:29:41 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-shortuuid

Comment 4 Peter Robinson 2017-01-13 01:42:28 UTC
Imported, thanks.

FYI tightened both packages with:

+%files -n python2-shortuuid
+%license COPYING
+%{python_sitelib}/shortuuid-%{version}*
+%{python_sitelib}/shortuuid/
+
+%files -n python3-shortuuid
+%license COPYING
+%{python3_sitelib}/shortuuid-%{version}*
+%{python3_sitelib}/shortuuid/


Note You need to log in before you can comment on or make changes to this bug.